Bug 986015 - screen unlock broken
screen unlock broken
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 14:32 EDT by Nicolas Mailhot
Modified: 2015-06-29 08:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:06:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-07-18 14:32:02 EDT
Description of problem:

screen unlock is broken, it does not accept any password

a killall gdm as root forces gnome to display a screen where you can actually log in, but the first thing it remembers once logged is that screen lock was on and it blocks accesses before the sessions has the time to log

asking it to log in as a new user, then reusing the same user, does result in a working log in (no idea in which neitherland the previous session gets dumped)

This is seriously broken

Version-Release number of selected component (if applicable):
gnome-shell-3.9.4-1.fc20.x86_64
Comment 1 Fedora End Of Life 2013-09-16 10:37:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Matteo Settenvini 2013-10-27 07:47:52 EDT
I am also seeing this in Fedora 20, all packages upgraded.

When I type my password to unlock the screen, it hangs there, showing a spinner and with the password field grayed out. The screen blanks again in a couple of seconds (but that's just a minor/unrelated complaint; once starting unlocking, screen-blanking time should be extended), but it's not unlocked. Sometimes waiting some minutes will unlock it, sometimes it doesn't.

The trick / workaround for me is to insert the password the first time, press Enter, hit ESC to go back to the locked screen displaying the clock again, and then type the password and Enter the second time. In this case, it works.

This is 100% reproducible for me.

@Nicolas: if you try hitting Esc after the first time, and type the password a second time, does it unlock for you?
Comment 3 Nicolas Mailhot 2013-10-28 04:00:07 EDT
Matteo,

Something finally unbroke it in rawhide. Since no one looked at this bug, I have no idea what fixed it. I agree the breakage is/was hellishly annoying.
Comment 4 Matteo Settenvini 2013-10-31 09:44:57 EDT
I finally found the culprit! It was fprintd. Removing the fprintd and fprintd-pam solves this for me. 

It appears that, if you do not have a fingerprint reader installed, in my Fedora 20 installation that blocked the screen unlocking until some timeout happened, as can be seen in /var/log/messages:

Oct 31 09:47:07 violet dbus-daemon: dbus[382]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Oct 31 09:47:07 violet dbus[382]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Oct 31 09:47:07 violet systemd: Starting Fingerprint Authentication Daemon...
Oct 31 09:47:08 violet dbus-daemon: dbus[382]: [system] Successfully activated service 'net.reactivated.Fprint'
Oct 31 09:47:08 violet dbus[382]: [system] Successfully activated service 'net.reactivated.Fprint'
Oct 31 09:47:08 violet systemd: Started Fingerprint Authentication Daemon.
Oct 31 09:47:08 violet fprintd: Launching FprintObject
Oct 31 09:47:08 violet fprintd: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Oct 31 09:47:08 violet fprintd: ** Message: entering main loop
Oct 31 09:47:38 violet fprintd: ** Message: No devices in use, exit
Oct 31 09:47:40 violet dbus[382]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Oct 31 09:47:40 violet dbus[382]: [system] Successfully activated service 'net.reactivated.Fprint'
Oct 31 09:47:40 violet dbus-daemon: dbus[382]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Oct 31 09:47:40 violet dbus-daemon: dbus[382]: [system] Successfully activated service 'net.reactivated.Fprint'
Oct 31 09:47:40 violet systemd: Starting Fingerprint Authentication Daemon...
Oct 31 09:47:40 violet systemd: Started Fingerprint Authentication Daemon.
Oct 31 09:47:40 violet fprintd: Launching FprintObject
Oct 31 09:47:40 violet fprintd: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Oct 31 09:47:40 violet fprintd: ** Message: entering main loop
[... unrelated messages...]
Oct 31 09:48:10 violet fprintd: ** Message: No devices in use, exit

It appears there is some 30 seconds timeout waiting for fprintd to say there are no finger print reading devices available.
Comment 5 Fedora End Of Life 2015-05-29 05:11:50 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:06:07 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.